Get a network for a dedicated server

GET/v1/hosts/dedicated_servers/{server_id}/networks/{network_id}

A GET request sent to the /v1/hosts/dedicated_servers/{server_id}/networks/{network_id} endpoint will show network details. Identify a server and network with their IDs in the path parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
server_id
string

A unique identifier of a server.

network_id
string

A unique identifier of the network.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/hosts/dedicated_servers/nXe0XVex/networks/BDbDx6bl"
{  "id": "BDbDx6bl",  "title": "Public",  "status": "active",  "cidr": "100.0.8.0/29",  "family": "ipv4",  "interface_type": "public",  "distribution_method": "gateway",  "additional": false,  "first_ip": "100.0.8.4",  "gateway": "100.0.8.3",  "updated_at": "2025-12-31T00:00:00Z",  "created_at": "2025-12-31T00:00:00Z"}